Skip to content

Custom objects API

11 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.

Method Path Description
GET /api/custom-objects List Objects
POST /api/custom-objects Create Object Accepts a JSON body.
POST /api/custom-objects/ai/design Ai Design Accepts a JSON body.
GET /api/custom-objects/standard List Standard Objects
GET /api/custom-objects/{object_id} Get Object
PATCH /api/custom-objects/{object_id} Update Object Accepts a JSON body.
DELETE /api/custom-objects/{object_id} Delete Object
GET /api/custom-objects/{object_id}/records List Records
POST /api/custom-objects/{object_id}/records Create Record Accepts a JSON body.
PATCH /api/custom-objects/{object_id}/records/{record_id} Update Record Accepts a JSON body.
DELETE /api/custom-objects/{object_id}/records/{record_id} Delete Record

Try it

The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.